Project

General

Profile

Bug #12709

POSIX-noncompliant setenv

Added by nobu (Nobuyoshi Nakada) almost 3 years ago. Updated almost 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
[ruby-core:77081]

Description

I found setenv() macro which is noncompliant to POSIX is still defined in include/ruby/util.h.
I can't remember where 2-arguments setenv() was provided.
Shouldn't it be removed?

https://github.com/ruby/ruby/compare/trunk...nobu:POSIX-noncompliant-setenv

History

Updated by nobu (Nobuyoshi Nakada) almost 3 years ago

  • Status changed from Open to Closed

Updated by naruse (Yui NARUSE) almost 3 years ago

We can find if the commit cause SEGV...

Also available in: Atom PDF